* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
ul {
  list-style: none;
  text-decoration: none;
  padding: 0 !important;
  margin: 0 !important;
}
a {
  text-decoration: none !important;
  color: var(--tertiary-color) !important;
}
body {
  font-family: "Poppins", sans-serif !important;
}
:root {
  --primary-color: #95090a;
  --secondary-color: #fff;
  --tertiary-color: #000000;
  --fourth-color: #fbb402;
}
p {
  opacity: 0.8;
  font-size: 18px;
}
.Cta {
  a {
    button {
      display: flex;
      align-items: center;
      gap: 10px;
      border: none;
      padding: 8px 25px;
      background-color: var(--fourth-color);
      color: var(--tertiary-color);
      font-weight: 400;
      cursor: pointer;
      border-radius: 50px;
      transition: all 0.3s ease-in-out;
      &:hover {
        background-color: var(--tertiary-color);
        color: var(--fourth-color);
        transition: all 0.3s ease-in-out;
      }
      @media (max-width: 600px) {
        margin: 0 auto;
        padding: 5px 20px;
      }
    }

  }
}
header {
  padding: 20px 0;
  position: absolute;
  top: 0;
  width: 100%;
  .Flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .Logo {
      width: 140px;
      @media (max-width: 600px) {
        width: 125px;
      }
    }
    .toggle-btn {
      display: none;
      @media (max-width: 768px) {
        display: flex;
      }
      flex-flow: column;
      gap: 6px;
      cursor: pointer;
      span {
        width: 25px;
        height: 2px;
        background: var(--secondary-color);
        border-radius: 3px;
        transition: transform 0.28s ease, opacity 0.28s ease,
          background 0.28s ease;
      }
    }
    .Menu {
      @media (max-width: 768px) {
        display: none;
      }
    
      &.active {
        display: block;
      }
    
      ul {
        display: flex;
        align-content: center;
        justify-content: center;
        gap: 20px;
        font-weight: 400;
        text-transform: capitalize;
    
        li {
          a {
            color: var(--secondary-color) !important;
            &:hover {
              color: var(--fourth-color) !important;
              transition: all 0.3s ease-in-out;
            }
          }
        }
      }
    }
    
    /* ===== Mobile Responsive ===== */
    @media (max-width: 768px) {
      .Menu {
        position: absolute;
        top: 70px; 
        left: 0;
        width: 100%;
        background: var(--primary-color);
        padding: 20px 0;
        text-align: center;
        z-index: 999;
        height: 100vh;
    
        ul {
          flex-direction: column;
          gap: 15px;
        }
      }
    }
    
  }
}
img {
  width: 100%;
}
/* BANNER */
.Banner {
  display: flex;
  align-items: center;
  height: 100vh;
  background-color: var(--primary-color);
  h1 {
    color: var(--fourth-color);
    font-size: 70px;
    font-weight: 400;
  }
  p {
    color: var(--secondary-color);
    max-width: 90%;
  }
  .Image {
    margin: 0 auto;
    position: relative;
    &::before {
      content: "";
      position: absolute;
      bottom: 0;
      right: 0;
      width: 500px;
      height: 500px;
      border-radius: 50%;
      z-index: 0;
      background-color: rgb(251 180 2 / 20%);
    }
    &::after {
      content: "";
      position: absolute;
      bottom: 0;
      left: -10px;
      width: 500px;
      height: 500px;
      border-radius: 50%;
      z-index: 0;
      border: 1px solid var(--fourth-color);
    }
    img {
      width: 87%;
      margin: 0 auto;
      position: relative;
      z-index: 1;
    }
  }
}
.AboutSection {
  padding: 100px 0;

  .row {
    align-items: center;
  }

  .AboutImage {
    text-align: center;
    position: relative;
    &::before {
      content: "";
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      width: 500px;
      height: 500px;
      border-radius: 20px;
      z-index: 0;
      background-color: rgb(251 180 2 / 20%);
    }

    img {
      max-width: 100%;
      border-radius: 12px;
      position: relative;
      z-index: 1;
    }
  }

  .AboutContent {
    h6 {
      font-weight: 500;
      color: #6c757d;

      span {
        &.fresh {
          color: var(--fourth-color);
        }
        &.plate {
          color: var(--primary-color);
        }
      }
    }

    h2 {
      font-weight: 500;
      color: #2c1f47;
      margin: 15px 0 20px;
    }

    p {
      color: #6c757d;
      margin-bottom: 20px;
    }

    ul {
      list-style: none;
      padding: 0;

      li {
        font-size: 16px;
        margin-bottom: 10px;
        position: relative;
        padding-left: 25px;

        &::before {
          content: "✔";
          position: absolute;
          left: 0;
          color: var(--primary-color);
        }
      }
    }

    .btnBox {
      margin-top: 25px;

      .btnOrange {
        background-color: var(--fourth-color);
        color: #fff;
        border-radius: 30px;
        padding: 10px 25px;
        text-decoration: none;
        font-weight: 500;

        &:hover {
          background-color: var(--primary-color);
          color: var(--secondary-color) !important;
        }
      }

      .btnLink {
        margin-left: 15px;
        color: var(--primary-color);
        font-weight: 500;
        text-decoration: none;

        &:hover {
          text-decoration: underline;
        }
      }
    }
  }
}
/* SERVICE */
.ServeSection {
  background-color: #fff8f0;
  padding: 80px 0;
  text-align: center;

  .section-subtitle {
    color: var(--primary-color);
    font-weight: 500;
    text-transform: capitalize;
    margin-bottom: 10px;
  }

  .section-title {
    font-size: 32px;
    font-weight: 500;
    margin-bottom: 15px;
    color: var(--tertiary-color);
  }

  .section-desc {
    max-width: 600px;
    margin: 0 auto 120px;
    color: #555;
    font-size: 16px;
  }

  .serve-card {
    background: var(--secondary-color);
    padding: 25px 70px;
    padding-top: 130px;
    border-radius: 15px;
    transition: all 0.3s ease;
    box-shadow: 0 2px 9px rgba(0, 0, 0, 0.05);
    position: relative;

    &:hover {
      transform: translateY(-5px);
      box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
    }

    .serve-img {
      margin-bottom: 20px;
      position: absolute;
      top: -70px;
      left: 50%;
      transform: translateX(-50%);

      img {
        width: 170px;
        height: 170px;
        object-fit: cover;
        border-radius: 50%;
        border: 2px dashed var(--fourth-color);
        padding: 8px;
      }
    }

    h5 {
      font-size: 20px;
      font-weight: 600;
      margin-bottom: 10px;
      color: var(--tertiary-color);
    }

    p {
      font-size: 15px;
      color: #555;
    }
  }
}
/* SPECIAL DISHES */
.SpecialDishSection {
  padding: 80px 0;
  text-align: center;

  .section-subtitle {
    color: var(--primary-color);
    font-weight: 500;
    margin-bottom: 10px;
  }

  .section-title {
    font-size: 32px;
    font-weight: 500;
    color: var(--tertiary-color);
    margin-bottom: 15px;
  }

  .section-desc {
    max-width: 700px;
    margin: 0 auto 50px;
    color: #555;
    font-size: 16px;
    line-height: 1.6;
  }

  .dish-card {
    background: var(--secondary-color);
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    height: 100%;

    &:hover {
      transform: translateY(-5px);
      box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    }

    img {
      width: 100%;
      height: 260px;
      object-fit: cover;
      border-radius: 20px;
    }

    .dish-content {
      padding: 20px;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      h5 {
        font-size: 20px;
        font-weight: 500;
        margin-bottom: 20px;
        color: var(--tertiary-color);
      }

      .dish-footer {
        display: flex;
        align-items: center;
        justify-content: space-between;

        .btnOrder {
          background: var(--primary-color);
          color: var(--secondary-color) !important;
          font-weight: 500;
          padding: 6px 20px;
          border-radius: 50px;
          text-decoration: none;
          transition: background 0.3s ease;

          &:hover {
            background: var(--fourth-color);
            color: var(--tertiary-color) !important;
          }
        }

        .priceBox {
          text-align: right;

          h6 {
            font-size: 18px;
            font-weight: 700;
            color: var(--primary-color);
            margin: 0;
          }

          span {
            font-size: 14px;
            color: #777;
          }
        }
      }
    }
  }
}
/* MORE MENU */
/* Special Dishes Section */
.MoreMenu {
  overflow: hidden;
  .section-title {
    text-align: center;


    .section-subtitle {
      font-size: 14px;
      color: #95090a;
      font-weight: 500;
      text-transform: uppercase;
      margin-bottom: 8px;
    }

    .section-title {
      font-size: 32px;
      font-weight: 500;
      color: #000;
    }
  }
  .slick-list {
    padding: 20px 0 !important;
  }
  .dish-slider {
    display: flex;
    gap: 20px;
    padding-bottom: 10px;

    .dish-card {
      background: #fff;
      border-radius: 10px;
      box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
      text-align: center;
      padding: 15px;
      transition: transform 0.3s ease;
      margin: 0 10px;

      &:hover {
        transform: translateY(-5px);
      }

      img {
        width: 100%;
        height: 300px;
        border-radius: 8px;
        margin-bottom: 10px;
      }

      h5 {
        font-size: 18px;
        font-weight: 600;
        color: #333;
      }
    }
  }
}

/* TESTIMONIAL */
.TestimonalSection {
  background-color: #fff8f0;
  padding: 100px 0;
  h6 {
    color: var(--primary-color);
    text-transform: capitalize;
  }
  h2 {
    font-weight: 500;
  }
}
.testimonial-card {
  background: #fff;
  border-radius: 12px;
  padding: 30px;
  margin: 15px;
  min-height: 260px;
  position: relative;

  .testimonial-header {
    display: flex;
    align-items: center;
    margin-bottom: 15px;

    img {
      width: 75px;
      height: 75px;
      border-radius: 50%;
      margin-right: 15px;
    }
    h6 h5 {
      margin: 0;
      font-weight: 700;
    }

    p {
      margin: 0;
      font-size: 14px;
      color: gray;
    }
  }

  .testimonial-quote {
    font-size: 20px;
    color: #333;
    margin-bottom: 20px;
  }

  .rating {
    display: flex;
    align-items: center;

    .stars {
      color: var(--fourth-color);
      margin-right: 8px;
    }
  }

  .quote-icon {
    position: absolute;
    top: 20px;
    right: 20px;
    color: orange;
    font-size: 50px;
  }
}
/* // Contact section styling */
.contact-section {
  position: relative;
  background: url("assets/formbg.jpg") no-repeat center center/cover;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 50px;

  .contact-box {
    background: rgba(0, 0, 0, 0.6);
    padding: 40px;
    border-radius: 10px;
    max-width: 500px;
    width: 100%;
    color: var(--secondary-color);

    h5 {
      font-size: 14px;
      font-weight: 500;
      margin-bottom: 10px;
      color: var(--secondary-color);
    }

    h2 {
      font-size: 28px;
      font-weight: 500;
      margin-bottom: 15px;
      color: var(--secondary-color);
    }

    p {
      font-size: 14px;
      line-height: 1.6;
      margin-bottom: 20px;
      color: var(--secondary-color);
    }

    .form-control {
      border-radius: 5px;
      padding: 12px 15px;
      border: none;
      margin-bottom: 15px;
    }

    .btn-submit {
      background-color: var(--primary-color);
      color: var(--secondary-color);
      padding: 12px;
      border: none;
      border-radius: 5px;
      font-weight: 500;
      width: 100%;
      transition: 0.3s;

      &:hover {
        background-color: var(--fourth-color);
        color: var(--tertiary-color);
      }
    }
  }
}
/* FOOTER */
.quick-footer {
  background-color: var(--primary-color);
  /* background: var(--secondary-color); */
  padding-top: 40px;
  /* border-top: 1px solid #eee; */

  .logo-col {
    text-align: left;

    img {
      max-width: 150px;
      margin-bottom: 15px;
    }

    p {
      font-size: 14px;
      color: var(--secondary-color);
      max-width: 350px;
      line-height: 1.6;
    }
  }

  .links-col {
    h5 {
      font-size: 18px;
      font-weight: 500;
      margin-bottom: 15px;
      position: relative;
      color: var(--secondary-color);

      &::after {
        content: "";
        display: block;
        width: 50px;
        height: 2px;
        background: var(--fourth-color);
        margin-top: 5px;
      }
    }

    ul {
      list-style: none;
      padding: 0;

      li {
        margin-bottom: 8px;

        a {
          color: var(--secondary-color) !important;
          text-decoration: none;
          font-size: 14px;
          opacity: 0.8;

          &:hover {
            color: var(--primary-color);
          }
        }
      }
    }
  }

  .contact-col {
    h5 {
      font-size: 18px;
      font-weight: 500;
      margin-bottom: 15px;
      color: var(--secondary-color);

      &::after {
        content: "";
        display: block;
        width: 50px;
        height: 2px;
        background: var(--fourth-color);
        margin-top: 5px;
      }
    }

    ul {
      list-style: none;
      padding: 0;

      li {
        font-size: 14px;
        margin-bottom: 8px;
        color: var(--secondary-color);
        opacity: 0.8;

        i {
          color: var(--fourth-color);
          margin-right: 8px;
        }
      }
    }
  }
  .footer-bottom {
    background: var(--tertiary-color);
    text-align: center;
    padding: 15px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-top: 50px;

    p {
      margin: 0;
      font-size: 13px;
      color: var(--secondary-color);

      a {
        color: var(--fourth-color) !important;
        text-decoration: none;

        &:hover {
          text-decoration: underline;
        }
      }
    }
  }
}
/* WHY CHOOSE US */
.why-choose-us {
  padding: 100px 0;

  .sub-title {
    color: #e41e26;
    font-weight: 500;
    margin-bottom: 10px;
  }

  .section-title {
    font-size: 2.2rem;
    font-weight: 700;
    margin-bottom: 15px;
    font-weight: 500;
  }

  .section-text {
    color: #444;
    font-size: 1rem;
    margin-bottom: 25px;
  }

  .value-box {
    display: flex;
    align-items: start;
    background: #fff;
    padding: 15px 20px;
    border-radius: 12px;
    margin-bottom: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.05);

    .icon {
      font-size: 30px;
      color: #e41e26;
      margin-right: 15px;
      flex-shrink: 0;
    }

    h5 {
      font-size: 1.1rem;
      font-weight: 500;
      margin: 0 0 5px;
    }

    p {
      margin: 0;
      font-size: 0.95rem;
      color: #555;
    }
  }

  .chef-box {
    background: linear-gradient(180deg, #ff5b5b, #ff7b7b);
    padding: 20px 20px 0px 20px;
    border-radius: 20px;
    display: inline-block;

    img {
      border-radius: 15px;
      max-width: 100%;
    }
  }
}

/* WHAT WE DO */
.work-steps {
  background: #f7f7f7;
  padding: 100px 0;

  .timeline {
    border-left: 3px solid #e41e26;
    padding-left: 34px;
    position: relative;
    margin-left: 15px;

    .step {
      position: relative;
      margin-bottom: 40px;
      display: flex;
      align-items: start;
      gap: 20px;

      .circle {
        position: absolute;
        left: -56px;
        top: 0;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        background: #e41e26;
        color: #fff;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: 500;
      }

      .content {
        width: calc(100% - 56px);
        h5 {
          font-size: 1.3rem;
          font-weight: 500;
          margin-bottom: 8px;
        }
        p {
          font-size: 1rem;
          color: #555;
          margin: 0;
          width: 80%;
        }
      }
    }
  }

  .what-we-do {
    .sub-title {
      color: #e41e26;
      font-weight: 500;
      margin-bottom: 10px;
    }

    .section-title {
      font-size: 2rem;
      font-weight: 500;
      margin-bottom: 15px;
    }

    p {
      font-size: 1rem;
      color: #444;
      line-height: 1.6;
    }

    img {
      max-width: 180px;
      @media screen and (max-width: 600px) {
        max-width: 100%;
      }
    }
  }
}
